apiVersion: apps/v1
kind: Deployment
metadata:
  name: wowthing-backend
  namespace: things
  labels:
    app: wowthing-backend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: wowthing-backend
  template:
    metadata:
      labels:
        app: wowthing-backend
    spec:
      containers:
        - name: wowthing-backend
          image: registry.gitlab.com/thing-engineering/wowthing/wowthing-backend:_VERSION_
          imagePullPolicy: Always
          envFrom:
            - configMapRef:
                name: common
            - secretRef:
                name: wowthing
            - secretRef:
                name: wowthing-backend
      imagePullSecrets:
        - name: registry-wowthing-backend
